List webhook event types
The event catalogue with each type's data schema, sensitivity, expiry and `liveFrom`.
The event catalogue with each type's data schema, sensitivity, expiry and liveFrom.
AuthorizationBearer <token>
OAuth 2.0 client credentials. private_key_jwt (SMART Backend Services asymmetric) is recommended; client secrets need an IP allowlist or mTLS outside the sandbox.
In: header
Scope: webhooks:read
Header Parameters
Api-Version?enum
Overrides the app's pinned dated version for this request.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/webhook-event-types"{ "data": [ { "dataSchemaRef": "string", "description": "string", "expiresAfterSeconds": -9007199254740991, "liveFrom": "string", "object": "webhook_event_type", "requiredScope": "string", "sensitive": true, "since": "string", "type": "string" } ], "hasMore": true, "nextCursor": "string", "object": "list"}